#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin>>N>>M;
    int S=0, P=0;
    
    if(N==1 || M==1)
    {
        S=M;
    }else
    {
        P=2*M+2*(N-2);
        S=P+((M*N-P)/2);
    }
    
    cout<<S;
    
    return 0;
}